var tableCaption = "<table><caption>"
var tableHead = "</caption><table>";
var tableContent = "<tbody>";
var tableFoot = "</tbody></table>";
var columnCount,tableHeaderNames,rowCount;
var tables = {
setTitle(title){
	tableCaption += title;
},
setColumnCount(n){
	columnCount = n;
},
setHeaderTitles(headerNames){
	tableContent +="<thead><tr>";
	for (i=0;i<headerNames.length;i++){
		tableContent +="<td>";
		tableContent +=headerNames[i];
		tableContent +="</td>";
	}
	tableContent +="</tr></thead>";
},
setRowCount(n){
	rowCount = n+1;
},
addRow(){
	tableContent +="<tr>";
	for (i=0;i<columnCount;i++){
		tableContent +="<td>";
		tableContent +=arguments[i];
		tableContent +="</td>";
	}
	tableContent +="</tr>";
},
addRowFromString(rowString){
	var x = rowString.split(";");
	tableContent +="<tr>";
	for (i=0;i<x.length;i++){
		tableContent +="<td>";
		tableContent +=x[i];
		tableContent +="</td>";
	}
	tableContent +="</tr>";
},
addRowsJson(json){
	for (i=0;i<json.length;i++){
		tableContent +="<tr>";
		var currentRow = json[i];
		if (currentRow.length!=columnCount){
			alert('V JSONu máte špatný počet sloupců, chyba je v řádku číslo '+(i+1));
		} else {
			for (j=0;j<currentRow.length;j++){
				tableContent +="<td>";
				tableContent +=currentRow[j]; //vyber z vicerozmerneho pole (json)
				tableContent +="</td>";
			}
		}
		tableContent +="</tr>";
	}
},
createTable(id){ 
	var tableAll = tableCaption+tableHead+tableContent+tableFoot;
	document.getElementById(id).innerHTML = tableAll;
	var rows = document.querySelectorAll("tr:nth-child(n+"+rowCount+")");
	for (i=0;i<rows.length;i++){
		rows[i].style.display = "none"; //schovani radku
	}
}
}
$(function(){
	$("tbody td").click(function(){
		var aktualni = $(this).html();
		if (aktualni.includes("input") === false){ //zmena na input
			$(this).html("<input type='text' value='"+aktualni+"'>");
			$('input').keypress(function (e) {
				if (e.which == 13) {
					var hodnota = $(this).val();
					$(this).parent("td").html(hodnota);  //ulozeni po enteru
				}
			});
		}
	});
	$("thead td").hover(function(){
		
	});
});